<?xml version="1.0" encoding="UTF-8"?>
<module rename-to='bmajwatcher'>
	<!-- Inherit the core Web Toolkit stuff.                        -->
	<inherits name='com.google.gwt.user.User' />
	<!-- Internationalization -->
	<inherits name='com.google.gwt.i18n.I18N' />
	<!-- Declarative interfaces -->
	<inherits name='com.google.gwt.uibinder.UiBinder' />
	<!-- SmartGWT components library -->
	<inherits name='com.smartgwt.SmartGwt' />

	<inherits name='com.google.gwt.resources.Resources' />

	<inherits name='com.google.gwt.visualization.Visualization' />
	
	<!-- Calendar component -->
	<inherits name='com.bradrydzewski.gwt.calendar.Calendar' />
 	<inherits name='com.bradrydzewski.gwt.calendar.theme.google.Google' />
	<inherits name='com.allen_sauer.gwt.dnd.gwt-dnd'/>
	
	<!-- Inherit the default GWT style sheet.  You can change       -->
	<!-- the theme of your GWT application by uncommenting          -->
	<!-- any one of the following lines.                            -->
	<inherits name='com.google.gwt.user.theme.standard.Standard' />
	<!-- <inherits name='com.google.gwt.user.theme.chrome.Chrome'/> -->
	<!-- <inherits name='com.google.gwt.user.theme.dark.Dark'/>     -->

	<!-- Other module inherits                                      -->

	<!-- Specify the app entry point class.                         -->
	<entry-point class='org.inria.bmajwatcher.client.BmajWatcher' />

	<!-- Specify the paths for translatable code                    -->
	<source path='client' />

	<!-- Supported languages										-->
	<extend-property name="locale" values="fr" />
	
	<set-configuration-property name="UiBinder.useSafeHtmlTemplates" value="true" /> 

	<!-- Bug workaround http://code.google.com/p/google-web-toolkit/issues/detail?id=4438 -->
	<extend-configuration-property name="rpc.blacklist"
		value="com.google.gwt.user.client.ui.ChangeListenerCollection" />
	<extend-configuration-property name="rpc.blacklist"
		value="com.google.gwt.user.client.ui.ClickListenerCollection" />
	<extend-configuration-property name="rpc.blacklist"
		value="com.google.gwt.user.client.ui.FocusListenerCollection" />
	<extend-configuration-property name="rpc.blacklist"
		value="com.google.gwt.user.client.ui.KeyboardListenerCollection" />
	<extend-configuration-property name="rpc.blacklist"
		value="com.google.gwt.user.client.rpc.SerializableException" />

</module>
